<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- Template generale -->
    <xsl:template match="/">
        <html>
            <head>
                <title>
                    <xsl:value-of select="videogioco/generalita/principale/nome"/>
                </title>
            </head>
            <body background="http://www.cs.unibo.it/~michetti/techweb/img/bg2.gif">
                <table align="center" width="700">
                    <tr>
                        <!-- Colonna di sinistra, con gli screenshot -->
                        <td valign="top" width="130" rowspan="2"><br/><br/>
                            <table height="112" cellspacing="0" cellpadding="0">
                                    <tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top.gif" width="112" height="10"/></td></tr>
                                     <tr>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
					<td><xsl:apply-templates select="videogioco/generalita/principale/copertina"/></td>
                                	<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>   
                                </tr>
				<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom.gif" width="112" height="10"/></td></tr>
                            </table>
                        </td>
                        <!-- Colonna di destra, con il titolo -->
                        <td valign="top">
                            <xsl:apply-templates mode="titolo" select="videogioco"/>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <table width="540" align="center" cellspacing="0" cellpadding="0">
    
                                <tr>
                                    <td colspan="3">
					<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/>
                                    </td>
                                </tr>
                                <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
			<table width="528" cellspacing="2" cellpadding="2">
				<tr><td>
					<xsl:apply-templates select="/videogioco/extra/screenshot" mode="riga1"/>
				</td></tr>
			</table>
		</td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                                </tr>
                                <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
			<table width="528" cellspacing="2" cellpadding="2">
				<tr><td>
					<xsl:apply-templates select="/videogioco/extra/screenshot" mode="riga2"/>
				</td></tr>
			</table>
		</td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                                </tr>
                                <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
			<table width="528" cellspacing="2" cellpadding="2">
				<tr><td>
					<xsl:apply-templates select="/videogioco/extra/screenshot" mode="riga3"/>
				</td></tr>
			</table>
		</td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                                </tr>
                                <tr>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
			<table width="528" cellspacing="2" cellpadding="2">
				<tr><td>
					<xsl:apply-templates select="/videogioco/extra/screenshot" mode="riga4"/>
				</td></tr>
			</table>
		</td>
		<td background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif" width="6"><font color="#000000">.</font></td>
                                </tr>
                                <tr>
                                    <td colspan="3">
					<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="copertina">
        <xsl:if test="node()">
            
                    <img height="120" width="100">
                        <xsl:attribute name="src">
                            <xsl:value-of select="immagine/@href"/>
                        </xsl:attribute>
                    </img>
        </xsl:if>
    </xsl:template>
    
    
    <xsl:template match="screenshot" mode="riga1">
        <xsl:if test="position()&lt;6">
            <xsl:if test="position() mod 5 = 0">
            <td width="20%">
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 1">
            <td width="20%">
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 2">
            <td width="20%">
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80"  border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 3">
            <td width="20%">
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80"  border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 4">
            <td width="20%">
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
        </xsl:if>
    </xsl:template>

    <xsl:template match="screenshot" mode="riga2">
        <xsl:if test="position()&lt;11 and position()&gt;5">
            <xsl:if test="position() mod 5 = 0">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 1">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 2">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 3">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80"  border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 4">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80"  border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    
 
    <xsl:template match="screenshot" mode="riga3">
        <xsl:if test="position()&lt;16 and position()&gt;10">
            <xsl:if test="position() mod 5 = 0">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80"  border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 1">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 2">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 3">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 4">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    
 
    <xsl:template match="screenshot" mode="riga4">
        <xsl:if test="position()&gt;15">
            <xsl:if test="position() mod 5 = 0">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 1">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 2">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 3">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80" border="0" >
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
            <xsl:if test="position() mod 5 = 4">
            <td>
            <center>
                <a href="index.php?pagina=screenshot.php&amp;immagine={immagine/@href}">
                <img width="100" height="80"  border="0">
                <xsl:attribute name="src">
                    <xsl:value-of select="immagine/@href"/>
                </xsl:attribute>
                </img>
                </a>
            </center>
            </td>
            </xsl:if>
        </xsl:if>
    </xsl:template>
        
    
    
    <xsl:template match="immagine">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="generalita">
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="videogioco" mode="titolo">
        <!-- Tabella con i dati principali -->
        <table align="center" valign="top" width="540" cellpadding="0" cellspacing="0">
		<tr><td colspan="3"><img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_top2.gif" width="540" height="20"/></td></tr>
            <tr>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <xsl:apply-templates select="generalita/principale/nome"/>
                    <xsl:apply-templates select="generalita/principale/sottotitolo"/>
                </td>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
            <tr>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
                <td background="http://www.cs.unibo.it/~michetti/techweb/img/bg3.gif">
                    <xsl:apply-templates select="generalita/ausiliaria/occhiello"/>
                </td>
					<td width="6" background="http://www.cs.unibo.it/~michetti/techweb/img/tab_side.gif"><font color="#000000">.</font></td>
            </tr>
            <tr>
                <td colspan="3">
			<img src="http://www.cs.unibo.it/~michetti/techweb/img/tab_bottom2.gif" width="540" height="20"/>
                </td>
            </tr>
        </table>
    </xsl:template>
    <xsl:template match="nome">
        <h1>
            <center>
                <xsl:apply-templates/>
            </center>
        </h1>
    </xsl:template>
    <xsl:template match="sottotitolo">
        <h3>
            <center>
                <xsl:apply-templates/>
            </center>
        </h3>
    </xsl:template>
    <xsl:template match="occhiello">
        <div align="justified">
            <xsl:apply-templates/>
        </div>
    </xsl:template>
</xsl:stylesheet>
