<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="/">
	
	<table width="312" align="center" cellspacing="0" cellpadding="0">
		<tr><td colspan="3"><img src="img/tab_top2.gif" width="312" heigth="17"/></td></tr>
		<xsl:apply-templates select="videogioco/generalita/principale/nome"/>  
		<xsl:if test="(videogioco/extra/aiuto/trucco/utilizzo)">
			<xsl:apply-templates select="videogioco/extra/aiuto/trucco/utilizzo"/>
		</xsl:if>
		<tr>
			<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
			<td background="img/bg3.gif" width="300">
			<xsl:if test="videogioco/extra/aiuto/trucco/combinazione"> 
				<table cellspan="2" width="300">
					<tr>
						<td><h3><div align="center">COMBINAZIONE-EFFETTO</div></h3>
						</td>
					</tr>
					<xsl:apply-templates select="videogioco/extra/aiuto/trucco"/>
				</table>
			</xsl:if> 
			</td>
			<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		</tr>
		<xsl:if test="not(videogioco/extra/aiuto/trucco)">
			<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
			<td background="img/bg3.gif" width="300">
			<h4><center><br/>Non abbiamo trucchi disponibili per questo gioco</center></h4>
			</td>
			<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		</xsl:if>
		<tr><td colspan="3"><img src="img/tab_bottom2.gif" width="300" heigth="17"/></td></tr>
	</table>
</xsl:template>

<xsl:template match="nome">
	<tr><td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
	<td background="img/bg3.gif" width="300"><h2><center><xsl:apply-templates/></center></h2></td>
	<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
</xsl:template>


<xsl:template match="utilizzo">
	<xsl:if test="node()">
		<tr><td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		<td background="img/bg3.gif" width="300"><h3><center><br/>UTILIZZO</center></h3></td>
		<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
		
		<tr><td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td>
		<td background="img/bg3.gif" width="300"><div align="justified"><xsl:apply-templates/></div></td>
		<td background="img/tab_side.gif" width="6"><font color="#000000">.</font></td></tr>
	</xsl:if>
</xsl:template>

<xsl:template match="trucco">
<tr>
	<td><xsl:apply-templates select="combinazione"/></td>
</tr>
</xsl:template>


<xsl:template match="combinazione">
	<div align="left"><b><xsl:value-of select="."/></b>
	
		<!--<xsl:if test="following-sibling::node() = effetto">-->
			<br/>
			<xsl:apply-templates select="following-sibling::effetto[position()=1]"/>
		<!--</xsl:if>-->
	</div><br/>
</xsl:template>

<xsl:template match="effetto">
	<div align="left"><i><xsl:value-of select="."/></i></div><br/>
</xsl:template>

</xsl:stylesheet>
